Get a person asset by ID
curl --request GET \
--url https://{brand}.extole.io/api/v4/persons/{personId}/assets/{assetId} \
--header 'Authorization: <api-key>'import requests
url = "https://{brand}.extole.io/api/v4/persons/{personId}/assets/{assetId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{brand}.extole.io/api/v4/persons/{personId}/assets/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data_type": "PRIVATE",
"filename": "<string>",
"id": "<string>",
"mime_type": "<string>",
"name": "<string>",
"status": "APPROVED",
"tags": [
"<string>"
]
}Profile Assets
Get a person asset by ID
Returns full metadata for the asset identified by assetId and owned by the person identified by personId. Metadata includes the asset type, name, content URL, MIME type, and creation timestamp. Use downloadPersonAsset to stream the asset content.
GET
https://{brand}.extole.io
/
api
/
v4
/
persons
/
{personId}
/
assets
/
{assetId}
Get a person asset by ID
Authorizations
HEADERQUERYCOOKIE
Path Parameters
The Extole unique profile identifier of this user at Extole.
The Extole-assigned unique identifier of the asset.
